import React from 'react';
import { FormattedMessage } from 'react-intl';

export default class Settings extends React.PureComponent {
    render() {
        return (
            <div>
                <h3>
                    <FormattedMessage
                        id='profanityblocker.settings.title'
                        defaultMessage='Profanity Blocker Settings'
                    />
                </h3>
                <div>
                    <label>
                        <FormattedMessage
                            id='profanityblocker.settings.apiKey'
                            defaultMessage='API Key'
                        />
                    </label>
                    <input
                        type='text'
                        value={this.props.apiKey}
                        onChange={(e) => this.props.onChange('APIKey', e.target.value)}
                    />
                </div>
                <div>
                    <label>
                        <FormattedMessage
                            id='profanityblocker.settings.baseURL'
                            defaultMessage='Base URL'
                        />
                    </label>
                    <input
                        type='text'
                        value={this.props.baseURL}
                        onChange={(e) => this.props.onChange('BaseURL', e.target.value)}
                    />
                </div>
            </div>
        );
    }
}